Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class QualifiedAttributeExp

    java.lang.Object
      |
      +--com.sun.wbem.query.ValueExp
            |
            +--com.sun.wbem.query.AttributeExp
                  |
                  +--com.sun.wbem.query.QualifiedAttributeExp

public class QualifiedAttributeExp
extends AttributeExp

This class represents represents an attribute qualified by a classname and/or alias. If the attribute name is not set, this QualifiedAttributeExp merely represents a 'table'. WQL maps tables to classes. A `QualifiedAttributeExp` may be used anywhere a `ValueExp` is required.

Since:
  WBEM 1.0
See Also:
  `ValueExp`, `Query`, Serialized Form

Constructor Summary
`QualifiedAttributeExp()`
`QualifiedAttributeExp(java.lang.String className, java.lang.String attr)` Creates a new `QualifiedAttributeExp` representing the object attribute for class `` named by ``.
`QualifiedAttributeExp(java.lang.String className, java.lang.String alias, java.lang.String attr)` Creates a new `QualifiedAttributeExp` representing the object attribute for class `` named by ``.

Method Summary
`ValueExp` | `apply(CIMElement obj)` Method which returns the actual value associated with the attribute in the input 'row'.
`java.lang.String` | `getAlias()` Accessor for alias name.
`java.lang.String` | `getAttrClassName()` Accessor for className.
`java.lang.String` | `getAttributeName()` Accessor for attribute name.
`java.lang.String` | `toString()` Returns the SQL syntax string representing its value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QualifiedAttributeExp

    public QualifiedAttributeExp(java.lang.String className,
                                 java.lang.String attr)

  Creates a new `QualifiedAttributeExp` representing the object attribute for class `` named by ``.
  Parameters:
    `className` - The class name of the qualified attribute.
    `attr` - The attribute name which is qualified by the className.

### QualifiedAttributeExp

    public QualifiedAttributeExp(java.lang.String className,
                                 java.lang.String alias,
                                 java.lang.String attr)

  Creates a new `QualifiedAttributeExp` representing the object attribute for class `` named by ``.
  Parameters:
    `className` - The class name of the qualified attribute.
    `alias` - An alias for className. Currently aliases are not supported, but this constructor is retained for future enhancement.
    `attr` - The attribute name which is qualified by the className.

### QualifiedAttributeExp

    public QualifiedAttributeExp()

Method Detail

### apply

    public ValueExp apply(CIMElement obj)
                   throws CIMException

  Method which returns the actual value associated with the attribute in the input 'row'. Currently this method is not supported.
  Overrides:
    apply in class AttributeExp
  Throws:
    CIMException - CIM_ERR_NOT_SUPPORTED is thrown

### toString

    public java.lang.String toString()

  Returns the SQL syntax string representing its value.
  Overrides:
    toString in class AttributeExp
  Returns:
    The expression's string value in SQL syntax.

### getAttrClassName

    public java.lang.String getAttrClassName()

  Accessor for className.

### getAttributeName

    public java.lang.String getAttributeName()

  Accessor for attribute name.
  Overrides:
    getAttributeName in class AttributeExp

### getAlias

    public java.lang.String getAlias()

  Accessor for alias name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD